<?php

$config = array(
	'EvDiscount' => array(
		/**
		 * models available for restrictions
		 * 'EvPlugin.Model' => 'Modelname' format
		 */
		'restrictTo' => array(),

		/**
		 * allow multiple codes to be applied
		 */
		'multipleCodes' => false,

		/**
		 * The extra fields required for discount types
		 */
		'extraFields' => [
			5 => [ // Free gift
				'DiscountData.free_gift_product_id' => [
					'type' => 'chosen_multiselect',
				]
			],
			6 => [
				'DiscountData.quantity_to_pay_for' => [
					'type' => 'integer'
				]
			]
		],

		/**
		 * The amount field changes per discount type
		 */
		'amountField' => [
			1 => [ // Fixed
				'label' => 'Amount',
			],
			2 => [ // Percentage
				'label' => 'Percentage',
			],
			3 => [ // Buy X get cheapest free
				'label' => 'Number to buy'
			],
			4 => [ // Buy X get cheapest half price
				'label' => 'Number to buy'
			],
			5 => [ // Free gift
				'visible' => false
			],
			6 => [ // X for the price of Y
				'label' => 'Number to buy'
			],
			7 => [ // Free delivery
				'visible' => false
			]
		]
	)
);
